ExtUtils::Config(3)

NAME
ExtUtils::Config - A wrapper for perl's configuration

VERSION
version 0.008

SYNOPSIS
 my $config = ExtUtils::Config->new();
 $config->get('installsitelib');

DESCRIPTION
ExtUtils::Config is an abstraction around the %Config hash. By itself it is not a particularly interesting module by any measure, however it ties together a family of modern toolchain modules.

METHODS

  new(\%config)
Create a new ExtUtils::Config object. The values in "\%config" are used to initialize the object.

  get($key)
Get the value of $key. If not overridden it will return the value in %Config.

  exists($key)
Tests for the existence of $key.

  values_set()
Get a hashref of all overridden values.

  all_config()
Get a hashref of the complete configuration, including overrides.

  serialize()
This method serializes the object to some kind of string.

AUTHORS

•   Ken Williams <kwilliams@cpan.org>

•   Leon Timmermans <leont@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2006 by Ken Williams, Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.